Get QR code for WhatsApp API pairing.
curl --request GET \
--url 'https://{host}/api/{session}/auth/qr?server_id=1' \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/auth/qr?server_id=1"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/auth/qr?server_id=1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"value": "2@At0KZLwyMrvGXeKc5AWN6..."
}
Authentication
Get QR Code
Get QR Code for WhatsApp session authentication
GET
/
api
/
{session}
/
auth
/
qr?server_id=1
Get QR code for WhatsApp API pairing.
Description
This endpoint returns the QR Code needed to authenticate a new session of WhatsApp. The QR Code must be scanned by the WhatsApp app on the user’s phone to establish the connection.URL Parameters
string
required
Unique ID of the session to be authenticated
Response
string
required
Encoded string of the QR Code for authentication. This value must be converted to an image QR Code for display to the user.
{
"value": "2@At0KZLwyMrvGXeKc5AWN6..."
}
Status Codes
200- QR Code generated successfully400- Invalid parameters401- Unauthorized
Usage Example
curl -X GET https://api.wappfy.com.br/api/my-session/auth/qr
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/auth/qr`);
const data = await response.json();
console.log(data.value);
import requests
session = 'my-session'
response = requests.get(f'https://api.wappfy.com.br/api/{session}/auth/qr')
data = response.json()
print(data['value'])
